lunchServices = angular.module 'lunchServices', []

lunchServices.factory 'socket', socketFactory = () ->
    s = window.io.connect()
    s.on 'connect', () ->
        console.log 'connected with socket!'
        s.on 'message', (message) ->
            console.log 'New comet message received :: '
            console.log message

    return s
